%bcond_without full

Summary:	A script for managing file archives of various types
Name:		atool
Version:	0.39.0
Release:	5%{?dist}
License:	GPLv2+
Group:		Applications/Archiving
Source:		http://savannah.nongnu.org/download/%{name}/%{name}-%{version}.tar.gz
URL:		http://www.nongnu.org/%{name}/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	perl >= 5.004
Requires:	cpio, file, bzip2, gzip, tar, unzip, zip
%if %{with full}
# Available on EPEL for RHEL
Requires:	arc, arj, xz-lzma-compat, lzop, nomarch, p7zip
%endif
# Non-free available on ATrpms
Requires:	rar, unrar, unace, unalz
# Not available for Fedora
# Requires:	lha

%description
atool is a perl script for managing file archives of various types:
tar, tar+gzip, zip, etc.

The main command is aunpack, which extracts files from an archive. 
Did you ever extract files from an archive, not checking whether 
the files were located in a subdirectory or in the top directory 
of the archive, resulting in files scattered all over the place? 
aunpack overcomes this problem, by first extracting to a new directory, 
and if there was only a single file in the archive, moving that file 
to the original directory. 
aunpack also prevents local files from being overwritten by mistake.

The other commands provided are:
apack (to create archives), 
als (to list files in archives), and 
acat (to extract files to standard out).

%prep
%setup -q
%{_bindir}/iconv -f iso8859-1 -t utf8 NEWS -o NEWS.txt
mv NEWS.txt NEWS 

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING NEWS TODO
%{_bindir}/*
%{_mandir}/man1/*

%Changelog
* Fri Oct 05 2012 Paulo Roma <roma@lcg.ufrj.br> 0.39.0-5
- Updated to 0.39.0

* Sun Sep 25 2011 Paulo Roma <roma@lcg.ufrj.br> 0.38.0-4
- Updated to 0.38.0

* Sat Sep 19 2009 Paulo Roma <roma@lcg.ufrj.br> 0.37.0-3
- Updated to 0.37.0
- Changed BR lzma for xz-lzma-compat.
- Added option %%bcond_without full for RHEL.

* Fri Mar 27 2009 Paulo Roma <roma@lcg.ufrj.br> 0.36.0-2
- Updated to 0.36.0
- Added Req unalz and cpio.

* Sat Aug 23 2008 Paulo Roma <roma@lcg.ufrj.br> 0.35.0-1
- Initial spec file
